Subject: Re: bug#71295: 29.3; url-retrieve-synchronously does not timeout if initial connection hangs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jun 2024 14:40:05 +0300

> Date: Mon, 03 Jun 2024 20:09:03 -0400
> From: "Aaron Zeng" <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Is the idea just to use url-retrieve directly?

I think so, yes.

> This is probably rather naive of me, but I guess now I'm wondering why url-retrieve-synchronously actually sets url-asynchronous to nil.  Is there a good reason not to use :nowait when it is available?  It seems like it would be useful to have a wrapper around url-retrieve that just "does what I mean" here.

Maybe.  I wonder what others think about this.